module.exports = /******/
function(modules) {
    /******/
    /******/
    // The require function
    /******/
    function __webpack_require__(moduleId) {
        /******/
        /******/
        // Check if module is in cache
        /******/
        if (installedModules[moduleId]) /******/
        return installedModules[moduleId].exports;
        /******/
        /******/
        // Create a new module (and put it into the cache)
        /******/
        var module = installedModules[moduleId] = {
            /******/
            exports: {},
            /******/
            id: moduleId,
            /******/
            loaded: !1
        };
        /******/
        /******/
        // Return the exports of the module
        /******/
        /******/
        /******/
        // Execute the module function
        /******/
        /******/
        /******/
        // Flag the module as loaded
        /******/
        return modules[moduleId].call(module.exports, module, module.exports, __webpack_require__), 
        module.loaded = !0, module.exports;
    }
    // webpackBootstrap
    /******/
    // The module cache
    /******/
    var installedModules = {};
    /******/
    /******/
    // Load entry module and return exports
    /******/
    /******/
    /******/
    /******/
    // expose the modules object (__webpack_modules__)
    /******/
    /******/
    /******/
    // expose the module cache
    /******/
    /******/
    /******/
    // __webpack_public_path__
    /******/
    return __webpack_require__.m = modules, __webpack_require__.c = installedModules, 
    __webpack_require__.p = "", __webpack_require__(0);
}([ /* 0 */
/***/
function(module, exports, __webpack_require__) {
    "use strict";
    function _interopRequireWildcard(obj) {
        if (obj && obj.__esModule) return obj;
        var newObj = {};
        if (null != obj) for (var key in obj) Object.prototype.hasOwnProperty.call(obj, key) && (newObj[key] = obj[key]);
        return newObj.default = obj, newObj;
    }
    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }
    function handleActivation(elem) {
        return function() {
            elem.clickable && (0, _skatejs.emit)(elem, events.activate);
        };
    }
    Object.defineProperty(exports, "__esModule", {
        value: !0
    }), exports.events = void 0;
    var _defineProperty2 = __webpack_require__(3), _defineProperty3 = _interopRequireDefault(_defineProperty2), _hasOwn = Object.prototype.hasOwnProperty, _forOwn = function(object, iterator) {
        for (var prop in object) _hasOwn.call(object, prop) && iterator(object[prop], prop);
    }, _renderArbitrary = function _renderArbitrary(child) {
        var type = typeof child;
        "number" === type || "string" === type || "object" === type && child instanceof String ? _skatejs.vdom.text(child) : "function" === type && child.__jsxDOMWrapper ? child() : Array.isArray(child) ? child.forEach(_renderArbitrary) : "object" === type && "[object Object]" === String(child) && _forOwn(child, _renderArbitrary);
    }, _skatejs = __webpack_require__(4), _classnames = __webpack_require__(5), _classnames2 = _interopRequireDefault(_classnames), _shadow = __webpack_require__(6), _shadow2 = _interopRequireDefault(_shadow), _index = __webpack_require__(8), events = _interopRequireWildcard(_index);
    /**
	 * @description Create instances of the component programmatically, or using markup.
	 * @class Blanket
	 * @example @js import Blanket from 'ak-blanket';
	 * const component = new Blanket();
	 */
    exports.default = (0, _skatejs.define)("ak-blanket", {
        render: function(elem) {
            var classes = (0, _classnames2.default)([ _shadow2.default.locals.blanket, (0, _defineProperty3.default)({}, "" + _shadow2.default.locals.tinted, elem.tinted) ]);
            // TODO make sure that the div onclick is accessible
            return _skatejs.vdom.elementOpen("div"), _skatejs.vdom.elementOpen("style"), _renderArbitrary(_shadow2.default.toString()), 
            _skatejs.vdom.elementClose("style"), _skatejs.vdom.elementVoid("div", null, null, "onClick", handleActivation(elem), "onTouch", handleActivation(elem), "className", classes), 
            _skatejs.vdom.elementClose("div");
        },
        props: {
            /**
	     * @description Is blanket grey with opacity or transparent. By default it's transparent.
	     * @memberof Blanket
	     * @instance
	     * @type Boolean
	     * @default false
	     * @example @html <ak-blanket tinted></ak-blanket>
	     * @example @js component.tinted = true
	     */
            tinted: _skatejs.prop.boolean({
                attribute: !0
            }),
            /**
	     * @description Whether the blanket is clickable.
	     *
	     * @memberof Blanket
	     * @instance
	     * @emits Blanket#activate
	     * @type Boolean
	     * @default false
	     * @example @html <ak-blanket clickable></ak-blanket>
	     * @example @js component.clickable = true
	     */
            clickable: _skatejs.prop.boolean({
                attribute: !0
            })
        }
    }), exports.events = events;
}, /* 1 */
, /* 2 */
, /* 3 */
/***/
function(module, exports) {
    module.exports = require("babel-runtime/helpers/defineProperty");
}, /* 4 */
/***/
function(module, exports) {
    module.exports = require("skatejs");
}, /* 5 */
/***/
function(module, exports) {
    module.exports = require("classnames");
}, /* 6 */
/***/
function(module, exports, __webpack_require__) {
    exports = module.exports = __webpack_require__(7)(), // imports
    // module
    exports.push([ module.id, "._1W1Nqrropv0xHevXc01L9b{bottom:0;left:0;position:fixed;right:0;top:0}._2jkUido-eka0FjtgtzHfhf{background:#091e42;opacity:.5}._3VEYBf7FbiuSuQ4zaBNSF9,ak-blanket{display:block}._3VEYBf7FbiuSuQ4zaBNSF9:not([defined]),ak-blanket:not([defined]){display:none}:host{display:block}:host(:not([defined])){display:none}", "" ]), 
    // exports
    exports.locals = {
        blanket: "_1W1Nqrropv0xHevXc01L9b",
        blanket: "_1W1Nqrropv0xHevXc01L9b",
        tinted: "_2jkUido-eka0FjtgtzHfhf",
        tinted: "_2jkUido-eka0FjtgtzHfhf",
        "ak-blanket": "_3VEYBf7FbiuSuQ4zaBNSF9",
        akBlanket: "_3VEYBf7FbiuSuQ4zaBNSF9"
    };
}, /* 7 */
/***/
function(module, exports) {
    /*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
    // css base code, injected by the css-loader
    module.exports = function() {
        var list = [];
        // return the list of modules as css string
        // import a list of modules into the list
        return list.toString = function() {
            for (var result = [], i = 0; i < this.length; i++) {
                var item = this[i];
                item[2] ? result.push("@media " + item[2] + "{" + item[1] + "}") : result.push(item[1]);
            }
            return result.join("");
        }, list.i = function(modules, mediaQuery) {
            "string" == typeof modules && (modules = [ [ null, modules, "" ] ]);
            for (var alreadyImportedModules = {}, i = 0; i < this.length; i++) {
                var id = this[i][0];
                "number" == typeof id && (alreadyImportedModules[id] = !0);
            }
            for (i = 0; i < modules.length; i++) {
                var item = modules[i];
                // skip already imported module
                // this implementation is not 100% perfect for weird media query combinations
                //  when a module is imported multiple times with different media queries.
                //  I hope this will never occur (Hey this way we have smaller bundles)
                "number" == typeof item[0] && alreadyImportedModules[item[0]] || (mediaQuery && !item[2] ? item[2] = mediaQuery : mediaQuery && (item[2] = "(" + item[2] + ") and (" + mediaQuery + ")"), 
                list.push(item));
            }
        }, list;
    };
}, /* 8 */
/***/
function(module, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", {
        value: !0
    });
    /**
	* This event is emitted when the blanket is clicked.
	* The emission of this event can be controlled by the {@link Blanket#clickable} property.
	*
	* @event Blanket#activate
	*/
    // eslint-disable-next-line import/prefer-default-export
    exports.activate = "activate";
} ]);